acR {copula} | R Documentation

## Distribution of the Radial Part of an Archimedean Copula

### Description

`pacR()` computes the distribution function F_R of the radial part of an Archimedean copula, given by

F_R(x)=1-sum(k=0,...,d-1) (-x)^k psi^{(k)}(x)/k!, u in [0,Inf)

The formula (in a slightly more general form) is given by McNeil and G. Nešlehová (2009).

`qacR()` computes the quantile function of F_R.

### Usage

    pacR(x, family, theta, d, lower.tail = TRUE, log.p = FALSE, ...)
    qacR(p, family, theta, d, log.p = FALSE, interval,
         tol = .Machine$double.eps^0.25, maxiter = 1000, ...)

### Arguments

`x` | numeric vector of nonnegative evaluation points for F_R.
`p` | numeric vector of evaluation points of the quantile function.
`family` | Archimedean family.
`theta` | parameter theta.
`d` | dimension d.
`lower.tail` | `logical`; if `TRUE`, probabilities are P[X <= x] otherwise, P[X > x].
`log.p` | `logical`; if `TRUE`, probabilities p are given as log(p).
`interval` | root-search interval.
`tol` | see `uniroot()`.
`maxiter` | see `uniroot()`.
`...` | additional arguments passed to the procedure for computing derivatives.

### Value

The distribution function of the radial part evaluated at `x`, or its inverse, the quantile at `p`.

### References

McNeil, A. J., G. Nešlehová, J. (2009). Multivariate Archimedean copulas, d-monotone functions and l_1-norm symmetric distributions. The Annals of Statistics 37(5b), 3059–3097.

### Examples

    ## setup
    family <- "Gumbel"
    tau <- 0.5
    m <- 256
    dmax <- 20
    x <- seq(0, 20, length.out=m)

    ## compute and plot pacR() for various d's
    y <- vapply(1:dmax, function(d)
                pacR(x, family=family, theta=iTau(archmCopula(family), tau), d=d),
                rep(NA_real_, m))
    plot(x, y[,1], type="l", ylim=c(0,1),
         xlab = expression(italic(x)),
         ylab = substitute(italic(F[R](x))~~"for d=1:"*dm, list(dm=dmax)))
    for(k in 2:dmax) lines(x, y[,k])

[Package copula version 0.999-15 Index]